Package org.gradle.api.tasks.testing.logging

# Enum TestExceptionFormat

java.lang.Object
java.lang.Enum<TestExceptionFormat>
org.gradle.api.tasks.testing.logging.TestExceptionFormat

All Implemented Interfaces:
  `Serializable`, `Comparable<TestExceptionFormat>`, `Constable`

public enum TestExceptionFormat extends Enum<TestExceptionFormat>
Determines how exceptions are formatted in test logging.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FULL`
  Full display of exceptions.
  `SHORT`
  Short display of exceptions.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TestExceptionFormat`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static TestExceptionFormat[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SHORT

    public static final TestExceptionFormat SHORT
    Short display of exceptions. Shows the exception types and locations as well as the hierarchy of causes, but not exception messages or full stack traces.

  - ### FULL

    public static final TestExceptionFormat FULL
    Full display of exceptions.

- ## Method Details

  - ### values

    public static TestExceptionFormat[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static TestExceptionFormat valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null